Skip to main content
Astra Automation
本繁體中文版使用機器翻譯,譯文僅供參考,若與英文版本牴觸,應以英文版本為準。

列出所有功能

GET /accounts/{account_id}/core/v1/features

傳回集合中所有符合資源的 JSON 陣列。如果在請求中指定了個別欄位,則項目 JSON 陣列將按指定順序包含每個相符資源所請求的欄位。

參數

Name 類型 必要 說明

account_id

字串

路徑

True

包含帳戶資源的 ID

  • 範例:{{.Account}}

包括

字串

查詢

錯誤

指示列出集合時應傳回哪些欄位。

URL 範例:「include=id」、「include=id,name」

OpenAPI 範例:"id"

限制

字串

查詢

錯誤

表示列出集合時要傳回的資源數量上限。

URL 範例:「limit=2」

OpenAPI 範例:「2」

篩選器

字串

查詢

錯誤

指示在列出集合時,為了傳回資源而應符合哪些欄位。

支援的運算子包括:

  • eq - 等式

  • lt/gt - 小於/大於

  • lte/gte - 小於或等於/大於或等於

URL 範例:「filter=field%20eq%20%27value%27」

OpenAPI 範例:"field eq 'value'"

字串

查詢

錯誤

指出中繼資料物件是否應傳回資源總數。

URL 範例:「count=true」

OpenAPI 範例:"true"

訂單者

字串

查詢

錯誤

指示列出集合時資源的排序順序。

URL 範例:「orderBy=name」、「orderBy=name%20desc」

OpenAPI 範例:"name desc"

跳過

字串

查詢

錯誤

表示列出集合時要跳過的資源數量。

URL 範例:「skip=1」

OpenAPI 範例:「1」

回應

Status: 200, Returns a JSON array of all matching resources in the collection. If individual fields are specified in the request, the items JSON array will contain the fields requested for each matching resource in the order specified.
Name 類型 必要 說明

項目

陣列 [ 任何一項: "feature_1.1_取得回應主體"、陣列 []]

True

中繼資料

"type_astra_metadata_list"

True

範例回應
{
  "type": "application/astra-features",
  "version": "1.1",
  "items": [
    {
      "type": "application/astra-feature",
      "version": "1.0",
      "id": "c1d4d2f7-9b30-45a2-9657-8b24f17a4fd1",
      "name": "astra.account.rbac",
      "isEnabled": "true",
      "metadata": {
        "labels": [],
        "creationTimestamp": "2021-02-19T22:10:22.448274Z",
        "modificationTimestamp": "2021-02-19T22:10:22.448274Z",
        "createdBy": "c9550bbb-e70b-4578-8504-07397f875bcb"
      }
    },
    {
      "type": "application/astra-feature",
      "version": "1.0",
      "id": "85c693cd-2f89-4944-982a-e885301162bd",
      "name": "astra.account.smtp",
      "isEnabled": "false",
      "metadata": {
        "labels": [],
        "creationTimestamp": "2021-02-19T22:10:22.448274Z",
        "modificationTimestamp": "2021-02-19T22:10:22.448274Z",
        "createdBy": "c9550bbb-e70b-4578-8504-07397f875bcb"
      }
    }
  ],
  "metadata": {
    "labels": [],
    "creationTimestamp": "2022-10-06T20:58:16.305662Z",
    "modificationTimestamp": "2022-10-06T20:58:16.305662Z",
    "createdBy": "8f84cf09-8036-51e4-b579-bd30cb07b269"
  }
}

回應

Status: 401, Unauthorized
Name 類型 必要 說明

類型

字串

True

標題

字串

True

詳細資料

字串

True

狀態

字串

True

correlationID

字串

錯誤

範例回應
{
  "type": "https://astra.netapp.io/problems/3",
  "title": "Missing bearer token",
  "detail": "The request is missing the required bearer token.",
  "status": "401"
}

回應

Status: 400, Bad request
Name 類型 必要 說明

類型

字串

True

標題

字串

True

詳細資料

字串

True

狀態

字串

True

correlationID

字串

錯誤

invalidParams

陣列["invalidParams"]

錯誤

無效查詢參數清單

範例回應
{
  "type": "https://astra.netapp.io/problems/5",
  "title": "Invalid query parameters",
  "detail": "The supplied query parameters are invalid.",
  "status": "400"
}

回應

Status: 403, Forbidden
Name 類型 必要 說明

類型

字串

True

標題

字串

True

詳細資料

字串

True

狀態

字串

True

correlationID

字串

錯誤

範例回應
{
  "type": "https://astra.netapp.io/problems/11",
  "title": "Operation not permitted",
  "detail": "The requested operation isn't permitted.",
  "status": "403"
}

回應

Status: 503, Service unavailable
Name 類型 必要 說明

類型

字串

True

標題

字串

True

詳細資料

字串

True

狀態

字串

True

correlationID

字串

錯誤

範例回應
{
  "type": "https://astra.netapp.io/problems/41",
  "title": "Service not ready",
  "detail": "Currently, the service can't respond to this request.",
  "status": "503"
}

錯誤

Status: 404, Not found
Name 類型 必要 說明

類型

字串

True

標題

字串

True

詳細資料

字串

True

狀態

字串

True

correlationID

字串

錯誤

範例錯誤回應
{
  "type": "https://astra.netapp.io/problems/2",
  "title": "Collection not found",
  "detail": "The collection specified in the request URI wasn't found.",
  "status": "404"
}

定義

請參閱定義

type_astra_label

Name 類型 必要 說明

姓名

字串

True

字串

True

type_astra_metadata

與資源相關聯的用戶端和服務指定中繼資料。定義的值為:

  • 符合 Astra 中繼資料架構

Name 類型 必要 說明

標籤

陣列["type_astra_label"]

True

建立時間戳記

字串

True

修改時間戳記

字串

True

建立者

字串

True

modifiedBy

字串

錯誤

feature_1.1_取得回應主體

Name 類型 必要 說明

類型

字串

True

資源的媒體類型。定義的值為:

  • 「application/astra-feature」

版本

字串

True

資源版本。已定義值包括:

  • "1.0"

  • "1.1"

ID

字串

True

資源的全域唯一識別碼。定義的值為:

  • 符合 UUIDv4 架構

姓名

字串

True

包含功能名稱的 JSON 字串,採用階層式點標記法。已定義的值包括:

  • 最短長度:1

  • 最大長度:63

  • 此字串經過內部驗證,可防止 XSS、Unicode、目錄遍歷和 SQL 注入攻擊。

isEnabled

字串

True

JSON 字串包含一個值,指示功能標誌是開啟還是關閉。已定義的值包括:

  • 「true」- 功能旗標已啟用。

  • 「false」- 功能旗標已停用。

中繼資料

"type_astra_metadata"

True

與資源相關聯的用戶端和服務指定中繼資料。定義的值為:

  • 符合 Astra 中繼資料架構

type_astra_metadata_list

Name 類型 必要 說明

繼續

字串

錯誤

數字

錯誤

標籤

陣列["type_astra_label"]

錯誤

建立時間戳記

字串

錯誤

修改時間戳記

字串

錯誤

建立者

字串

錯誤

modifiedBy

字串

錯誤

invalidParams

Name 類型 必要 說明

姓名

字串

True

無效查詢參數的名稱

原因

字串

True

查詢參數無效的原因